%define api_version 1
%define lib_major   1
%define lib_name    %mklibname gsf- %{api_version} %{lib_major}

Summary: GNOME Structured File library
Name: libgsf
Version: 1.8.2
Release: 1mdk
Group: System/Libraries
License: GPL
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: http://www.gnumeric.org
BuildRequires: libbonobo2_x-devel
BuildRequires: gnome-vfs2-devel

%description
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
A library for reading and writing structured files (eg MS OLE and Zip).

%package -n %{lib_name}-devel
Summary: Support files necessary to compile applications with libgsf.
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Provides: %{name}-%{api_version}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Requires: libxml2-devel
Requires: libglib2-devel

%description -n %{lib_name}-devel
Libraries, headers, and support files necessary to compile
applications using libgsf.

%prep

%setup -q

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x

%make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi

%makeinstall

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libgsf

%post -p /sbin/ldconfig -n %{lib_name}

%postun -p /sbin/ldconfig -n %{lib_name}

%files -n %{lib_name}
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/html
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_includedir}/*
%{_libdir}/pkgconfig/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.2-1mdk
- Release 1.8.2 (fix libole2 problems)

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.1-4mdk
- BuildRequires: libbonobo2_x-devel

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.8.1-3mdk
- Rebuild

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.1-2mdk
- rebuild against latest libbobono

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.1-1mdk
- Release 1.8.1

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.8.0-2mdk
- Fix bad mklibnamification..

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.8.0-1mdk
- Release 1.8.0
- mklibnamification

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-1mdk
- Release 1.7.2

* Wed Jan 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-2mdk
- Recompiled against latest openssl
- Fix BuildRequires

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5.0-1mdk
- Initial Mandrake package

* Tue Jun 18 2002 Rui M. Seabra <rms@407.org>
- set permission correctly
- fix common mistake of Copyright flag into License flag.

* Thu May 23 2002 Jody Goldberg <jody@gnome.org>
- Initial version
